Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456265 - Root password changed
Summary: Root password changed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 15:11 UTC by Roman Rakus
Modified: 2014-01-13 00:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-03 16:57:24 UTC


Attachments (Terms of Use)

Description Roman Rakus 2008-07-22 15:11:17 UTC
Description of problem:
During installation of Fedora 9, I have been prompted to enter root password.
But after installation I cannot change user to root with this password.

Version-Release number of selected component (if applicable):
11.4.0.82

How reproducible:
always

Steps to Reproduce:
1. Start installing
2. Enter password for root during installation
3. After installation try to "su -" with the same password
  
Actual results:
Invalid password

Expected results:
Valid password and changed user to root

Additional info:

Comment 1 Martin Sivák 2008-07-22 15:40:00 UTC
Can you please describe the platform, keyboard setup and any specialities about
the instalation? Also, is is broken on tty1 login too? This works on all our
machines.

Comment 2 Roman Rakus 2008-07-23 10:01:02 UTC
No specialities. Keyboard setup kept default - English, U.S. English. It's
broken on all terminals.

Comment 3 Martin Sivák 2008-07-23 12:01:19 UTC
Ok, I can confirm, that there is some kind of problem. The machine is Mac iBook
G4 with ppc processor and 1GB of RAM. The instalation media is DVD F9 for ppc.

When the password is set manually from single mode, login works.
When the password is set from Firstboot (new non-root user), login works.
Root password set by anaconda.. no chance..

The log contains only the unix_chkpwd error with password check failed for user
(root).

Inspection of /etc/shadow shows that some password with type 6 ($6$ .. that is
sha1 iirc) is set, but obviously, I can't check which one..


Comment 4 Andy Lindeberg 2008-07-23 14:30:26 UTC
I'm pretty sure this is identical to another bug, but I'd just like to confirm
that... Can you login if you turn capslock on, then enter your password
normally? (that is, PASSword -> passWORD)?

Comment 5 Roman Rakus 2008-07-23 15:24:04 UTC
No. I've been trying to login with caps lock off, with caps lock on. With num
lock off/on. And combinations... and nothing.

Comment 6 Chris Lumens 2008-09-05 14:09:58 UTC
Are you still seeing this with F10 alpha?

Comment 7 Roman Rakus 2008-09-16 15:28:50 UTC
Anaconda version 11.4.1.24.
First time boot -> Shows mouse pointer on black screen and freeze.
Second time boot -> Run media test -> Some kernel error messages on screen (Oops: Kernel access of bad area, sig: 11...), sending term signals, sending kill signals, disabling swap, unmounting filesystems, you may safely reboot you system.
I will try it tomorrow.

Comment 8 Roman Rakus 2008-09-18 14:42:33 UTC
No chance to install system. F10-aplha ppc kernel is really unstable. Maybe I will try it with F10-beta...

Comment 9 Roman Rakus 2008-11-03 16:57:24 UTC
version 11.4.1.40:
not working touchpad
not working arrow keys on graphical installation (not testing text installation)
;)
root password works. Thanks


Note You need to log in before you can comment on or make changes to this bug.